Search documentation of stripe_elixir

# StripeElixir.Services.TaxRateService (stripe_elixir v0.1.0)

Copy Markdown View Source

TaxRate

Tax rates can be applied to invoices, subscriptions and Checkout Sessions to collect tax.

Related guide: Tax rates

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a tax rate

list(client, params \\ %{}, opts \\ [])

List all tax rates

retrieve(client, tax_rate, params \\ %{}, opts \\ [])

Retrieve a tax rate

update(client, tax_rate, params \\ %{}, opts \\ [])

Update a tax rate

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Create a tax rate

Creates a new tax rate.

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List all tax rates

Returns a list of your tax rates. Tax rates are returned sorted by creation date, with the most recently created tax rates appearing first.

# retrieve(client, tax_rate, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a tax rate

Retrieves a tax rate with the given ID

# update(client, tax_rate, params \\ %{}, opts \\ [])

    @spec update(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Update a tax rate

Updates an existing tax rate.